> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read User

> Use this endpoint to read a user.

Read a single user instance based on `user_guid` or `external_user_guid`.

<Warning>
  Do not attempt to parse the `master_widget_url` or any other URL provided in current or future SSO API response bodies. They are intended to be used as they are returned in the response. Their contents can change at any time.
</Warning>

### Path Parameters

<ParamField path="user_guid" type="string">
  The GUID or external GUID of the user to retrieve.
</ParamField>

### Query Parameters

<ParamField query="k" type="string" required>
  Your API key.
</ParamField>

<ParamField query="c" type="string" required>
  The client GUID or external client GUID.
</ParamField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "guid": "USR-00dfffb5-62f6-9865-91f4-9d90f",
    "external_guid": "09-999-QWQW",
    "external_user_guid": "09-999-QWQW",
    "client_guid": "CLT-0858efd1-2d2e-6a5d-f2b5-c7dad42ef184",
    "email": "richard@email.com",
    "login_token": "cQQ380Ocyc049z6eRg--tz6Opshfxqz0T6rX2xaD2dwei5H...",
    "first_name": "Richard",
    "last_name": "Montague",
    "phone": "8015559876",
    "birthday": null,
    "sex": 0,
    "credit_score": null,
    "zip_code": 12345,
    "last_login": "2012-01-01",
    "master_widget_url": "https://widgets.moneydesktop.com/raja/master?...",
    "accounts_widget_url": "https://widgets.moneydesktop.com/raja/accounts?...",
    "budgets_widget_url": "https://widgets.moneydesktop.com/raja/budgets?...",
    "debts_widget_url": "https://widgets.moneydesktop.com/raja/debts?...",
    "net_worth_widget_url": "https://widgets.moneydesktop.com/raja/net_worth?...",
    "spending_widget_url": "https://widgets.moneydesktop.com/raja/spending?...",
    "transactions_widget_url": "https://widgets.moneydesktop.com/raja/transactions?...",
    "status": {
      "status": 1,
      "name": "ENABLED",
      "message": ""
    }
  }
  ```
</ResponseExample>
